#include <windows.h>

// *************************************************
//            User Defined Constants
// *************************************************

#define AppName "Ec03"
#define Caption "Edit Controls"
#define ID_Edit1 101
#define ID_Edit2 102
// *************************************************
//            User Global Variables
// *************************************************
static HWND    Form1;
static HWND    Edit1;
static HWND    Edit2;

// *************************************************
//               Standard Macros
// *************************************************

#define BOR |


// *************************************************
//               User Prototypes
// *************************************************

void    FormLoad (HINSTANCE);
int     WINAPI WinMain (HINSTANCE, HINSTANCE, LPSTR, int);
LRESULT CALLBACK WndProc (HWND, UINT, WPARAM, LPARAM);


void FormLoad (HINSTANCE  hInst)
{
    float    fHeight = 312;
    float    fWidth = 330;
    Form1 = CreateWindowEx( WS_EX_WINDOWEDGE, AppName, Caption, WS_POPUP  BOR  WS_VISIBLE  BOR  WS_CLIPSIBLINGS  BOR  WS_CAPTION  BOR  WS_SYSMENU  BOR  DS_MODALFRAME, ( GetSystemMetrics( SM_CXSCREEN) - fWidth) / 2, ( GetSystemMetrics( SM_CYSCREEN) - fHeight) / 2, fWidth, fHeight, NULL, (HMENU) NULL, hInst, NULL);
    Edit1 = CreateWindowEx( 0, "edit", NULL, WS_CHILD  BOR  WS_VISIBLE  BOR  WS_BORDER  BOR  ES_AUTOVSCROLL  BOR  ES_WANTRETURN  BOR  ES_AUTOHSCROLL  BOR  ES_MULTILINE, 14, 16, 300, 110, Form1, (HMENU) ID_Edit1, hInst, NULL);
    Edit2 = CreateWindowEx( 0, "edit", NULL, WS_CHILD  BOR  WS_VISIBLE  BOR  WS_BORDER  BOR  ES_AUTOVSCROLL  BOR  ES_WANTRETURN  BOR  ES_AUTOHSCROLL  BOR  ES_MULTILINE, 14, 158, 300, 116, Form1, (HMENU) ID_Edit2, hInst, NULL);
    ShowWindow(Form1, SW_SHOW);
}


int WINAPI WinMain (HINSTANCE  hInst, HINSTANCE  hPrev, LPSTR  CmdLine, int CmdShow)
{
    MSG      uMsg = {0};
    WNDCLASSEX  wcx = {0};
    wcx.cbSize = sizeof( wcx);
    wcx.style = CS_HREDRAW  BOR  CS_VREDRAW;
    wcx.lpfnWndProc = WndProc;
    wcx.cbClsExtra = 0;
    wcx.cbWndExtra = 0;
    wcx.hInstance = hInst;
    wcx.hIcon = LoadIcon( NULL, IDI_WINLOGO);
    wcx.hCursor = LoadCursor( NULL, IDC_ARROW);
    wcx.hbrBackground = ( HBRUSH) GetStockObject( WHITE_BRUSH);
    wcx.lpszMenuName = NULL;
    wcx.lpszClassName = AppName;
    RegisterClassEx( &wcx);
    FormLoad(hInst);
    while(GetMessage( &uMsg, NULL, 0, 0))
    {
        TranslateMessage( &uMsg);
        DispatchMessage( &uMsg);
    }

    return uMsg.wParam;
}


LRESULT CALLBACK WndProc (HWND hWnd, UINT Msg, WPARAM  wParam, LPARAM  lParam)
{
    switch(Msg)
    {
    case WM_DESTROY:
        PostQuitMessage(0);
        return 0;
    }
    return DefWindowProc(hWnd, Msg, wParam, lParam);
}



